-- 
-- Table structure for table `hosts`
-- 

CREATE TABLE IF NOT EXISTS `hosts` (
  `ip` varchar(16) default NULL,
  `hostname` varchar(64) default NULL,
  `d_last_scan` int unsigned default '0',
  `ping` int(5) unsigned NOT NULL default '0',
  `priority` int(1) unsigned NOT NULL default '0',
  `comment` varchar(255) default NULL,
  `host_id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`host_id`),
  UNIQUE KEY `idx_ip` (`ip`)
) TYPE=MyISAM;

-- --------------------------------------------------------

-- 
-- Table structure for table `ports`
-- 

CREATE TABLE IF NOT EXISTS `ports` (
  `port` int(6) unsigned default NULL,
  `protocol` varchar(10) default NULL,
  `service` varchar(20) default NULL,
  `state` varchar(20) default NULL,
  `fullversion` varchar(128) default NULL,
  `scan_rec_id` int(10) unsigned NOT NULL default '0',
  `port_rec_id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`port_rec_id`)
) TYPE=MyISAM;

-- --------------------------------------------------------

-- 
-- Table structure for table `scans`
-- 

CREATE TABLE IF NOT EXISTS `scans` (
  `host_id` int(6) unsigned NOT NULL default '0',
  `d` int unsigned default '0',
  `open_ports` int(6) unsigned default NULL,
  `ports_scanned` int(6) unsigned default NULL,
  `os_guessed` varchar(100) default NULL,
  `host_fingerprint` varchar(254) default NULL,
  `scan_rec_id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`scan_rec_id`)
) TYPE=MyISAM;

-- --------------------------------------------------------

-- 
-- Table structure for table `users`
-- 

CREATE TABLE IF NOT EXISTS `users` (
  `host_id` int(6) unsigned NOT NULL default '0',
  `email` varchar(100) default NULL,
  `num_mails` int(6) default NULL,
  `user_rec_id` int(6) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`user_rec_id`)
) TYPE=MyISAM;

--
-- Table structure for table `configuration`
--

CREATE TABLE IF NOT EXISTS `configuration` (
  `cancerbero_ver` varchar (20) NOT NULL,
  `range` varchar (255) default "127.0.0.0/8",
  `white_list` varchar (255),
  `loop` int(1) unsigned  default '1',
  `delay_scan` int(6) unsigned default '15',
  `sweep_time` int(6) unsigned default '3600',
  `max_num_scan` int(6) unsigned default '5',
  `debug` int(1) unsigned default '0',
  `check_alive` int(6) unsigned default '30',
  `database_ver` int (2) NOT NULL default '1',
  `nmap_sweep_opts` varchar (255) NOT NULL,
  `nmap_opts` varchar (255) NOT NULL,

  PRIMARY KEY  (`cancerbero_ver`)
) TYPE=MyISAM;

INSERT INTO `configuration` VALUES (
  '0.1','127.0.0.0/24','',1,15,3600,5,0,30,1,'-sP -PA445,22 -PS445,22 -PE --min_parallelism 100 --max_rtt_timeout 100 --min_rtt_timeout 10 --initial_rtt_timeout 50','-A -r -PA445,22 -PS445,22 -PE -p1-65535 --max_rtt_timeout 100 --min_rtt_timeout 10 --host_timeout 900000 --initial_rtt_timeout 50 --max_scan_delay 5');

--
-- Table structure for table `program_values`
--

CREATE TABLE IF NOT EXISTS `program_values` (
  `cancerbero_ver` varchar (20) NOT NULL,
  `date_next` int unsigned,
  `date_prev` int unsigned,
  `num_sub_nmaps` int(6) unsigned,
  `saw_alive` int(20) unsigned,
  PRIMARY KEY  (`cancerbero_ver`)
) TYPE=MyISAM;

