#! /bin/sh
#
#		Written by Victor Barahona <victor.barahona@uam.es>.
#
# Version:	0.1  28-Sep-2005  Victor Barahona <victor.barahona@uam.es>
#

PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
DAEMON=/usr/sbin/cancerbero.pl
NAME=cancerbero
DESC=cancerbero

test -x $DAEMON || exit 0

# Include cancerbero defaults if available
if [ -f /etc/default/cancerbero ] ; then
	. /etc/default/cancerbero
fi

set -e

case "$1" in
  start)
	echo -n "Starting $DESC: "
	cancerbero.pl&
	echo "Running."
	echo " "
	echo "Check for more info in /var/log/cancerbero.log"
	;;
  stop)
	echo "Stopping $DESC: "
	killall cancerbero.pl
	echo "Pending scans will not be stopped"
	echo "To stop pending scans use stop-scans"
	echo "Cancerbero Stopped."
	;;
  stop-scans)
	echo "Stopping al Nmap scans: "
	killall sub_nmap.pl
	killall nmap
	echo "All scans have been stopped."
	;;
  restart)
	echo -n "Restarting $DESC: "
	killall cancerbero.pl
	killall sub_nmap.pl
        killall nmap

	sleep 1
	cancerbero.pl &
	echo "Done."
	;;
  *)
	N=/etc/init.d/$NAME
	# echo "Usage: $N {start|stop|restart|reload|force-reload}" >&2
	echo "Usage: $N {start|stop|stop-scans|restart}" >&2
	exit 1
	;;
esac

exit 0
